Bug 5819 - Removing subscription resources with SubscriptionRemovalHelper
: Removing subscription resources with SubscriptionRemovalHelper
Status: RESOLVED FIXED
: Java WS Core
globus_wsrf_core
: alpha
: Macintosh All
: P3 normal
: 4.2.0
Assigned To:
:
:
:
: 5656
  Show dependency treegraph
 
Reported: 2008-01-30 11:19 by
Modified: 2008-03-13 07:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-30 11:19:08
SubscriptionRemovalHelper.removeSubscriptions(String,ResourceKey)
calls SubscriptionHome.remove(String,ResourceKey).
Here the subscription resource is removed directly from the hashtable
instead of calling ResourceHomeImpl.remove().
This way the remove() function (RemoveCallback) of the subscription
resource is not called and thus the subscription resource does not
unregister itself from the producer resource.
Is this intended?
------- Comment #1 From 2008-01-31 14:36:37 -------
I agree that the ResourceHomeImpl base class remove(ResourceKey) method should
be invoked here, rather than removing the resource from the hashtable directly.
 I don't really know what the original intention was, but I will start working
on a patch for this.
------- Comment #2 From 2008-01-31 20:25:33 -------
A fix for this has been committed to trunk. Martin, can you verify the fix for
your use case in GRAM?
------- Comment #3 From 2008-02-20 09:24:30 -------
yes, thanks, works fine for me.
i think we can close this one.
------- Comment #4 From 2008-03-13 07:52:00 -------
Based on Martin's comments closing this bug.